{# Templates/Help/help_trade.html.twig #}

{% extends 'Help/baseHelp.html.twig' %}

{% trans_default_domain 'Help' %}

{% block helpPicture %}
    <img class="screen" src="{{ asset('img/loc/fr/commerce.jpg') }}">
{% endblock %}

{% block helpHeader %}
    {{ 'navigation.trade' | trans }}
{% endblock %}

{% block helpContent %}
    <div class="content">
        {% set isConnected = app.user != null %}
        {% set isInGameAndAlive = false %}
        {% if isConnected and app.user.lord != null %}
            {% set isInGameAndAlive = app.user.lord.isAlive %}
        {% endif %}
        {% if isInGameAndAlive %}
            {% set lordId = app.user.lord.id %}
        {% endif %}
        <p>
            Comme résumé dans l'onglet {#<a href="/?tab=kingdom">Royaume</a>#}
            {% if isInGameAndAlive %}
                <a href="{{ path('app_management_management', {'id': lordId, tab: 'kingdom'}) }}">Royaume</a>
            {% else %}
                <u>Royaume</u>
            {% endif %}
            de la section <b>Gestion</b>, chaque lieu a un coût
            <strong>d'entretien</strong> <img src="{{ asset('img/icons/small/res_gold.gif') }}">
            , qui dépend des soldats qui y sont stationnés, ainsi qu'un niveau de
            <strong>commerce</strong> <img src="{{ asset('img/icons/l_tax.png') }}">
            qui va vous coûter ou rapporter de l'or en fonction des cas.
        </p>
        <p>
            Le <b>commerce</b> est négatif au moment où vous faîtes la conquête d'un
            nouveau lieu&nbsp;: plus ce lieu est éloigné de votre capitale et plus le
            commerce sera négatif. Il vous faudra alors défendre ce lieu en transférant
            des unités en <b>garnison</b> de façon à faire remonter
            <img src="{{ asset('img/icons/c_up.png') }}"> le commerce, sinon il
            continuera de se dégrader et vous risquez la faillite.
        </p>
        <p>
            Un <b>commerce</b> positif peut aussi se stabiliser
            <img src="{{ asset('img/icons/c_equal.png') }}"> voir se dégrader
            <img src="{{ asset('img/icons/c_down.png') }}">si la défense est
            insuffisante. Vous pouvez obtenir des détails sur la situation de chaque
            lieu en passant la souris sur le valeur de commerce du lieu dans l'onglet
            {#<a href="/?tab=kingdom">Royaume</a>.#}
            {% if isInGameAndAlive %}
                <a href="{{ path('app_management_management', {'id': lordId, tab: 'kingdom'}) }}">Royaume</a>.
            {% else %}
                <u>Royaume</u>.
            {% endif %}
        </p>
        <p>
            Le commerce évolue et est collecté après chaque tour de production. Un
            commerce important vous permet de maintenir de grandes armées.
        </p>
        <p>
            <span class="i">Faillite</span> :
            si vos stocks d'or s'écroulent, vous risquez des désertions de vos soldats,
            mais aussi la perte de territoires dont le commerce est le plus dégradé.
            Cela peut néanmoins être parfois utile pour se sortir d'une mauvaise passe.
        </p>
    </div>
{% endblock %}

{% block helpNavigation %}
    {% set vars = {
        'previousLink': path('app_help_glory'),
        'previousText': 'navigation.glory' | trans,
        'nextLink': path('app_help_rareres'),
        'nextText': 'navigation.resourceSpot' | trans
    } %}
    {% include 'Help/helpNavbar.html.twig' with vars %}
{% endblock %}